### Method

# Camel StoreSearchIndex ref

since: 3.58

#### Declaration [src]

    CamelStoreSearchIndex*
    camel_store_search_index_ref (
      CamelStoreSearchIndex* self
    )

#### Description [src]

Adds a reference on the `self`. Call a pair `camel_store_search_index_unref()` to remove the added reference.

Available since: 3.58

#### Return value

Type: `CamelStoreSearchIndex`

The `self` with added reference.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.